// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
    // Register new items here
    event.create('example_item').displayName('Example Item')
})

onEvent('block.registry', event => {
    // Register new blocks here
    event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
})

// onEvent("block.right_click", event => {
//     console.info(event.player + " left clicked in air with " + event.item);
// })

onEvent('jei.hide.items', event => {
    //hide the immersive Engineering duplicate Items
    event.hide('immersiveengineering:ingot_copper')
    event.hide('immersiveengineering:plate_copper')
    event.hide('immersiveengineering:plate_iron')
    event.hide('immersiveengineering:plate_gold')
    event.hide('immersiveengineering:dust_copper')

    //hide the dusts that cant be obtained
    event.hide('immersiveengineering:dust_copper')
    event.hide('immersiveengineering:dust_aluminum')
    event.hide('immersiveengineering:dust_lead')
    event.hide('immersiveengineering:dust_silver')
    event.hide('immersiveengineering:dust_nickel')
    event.hide('immersiveengineering:dust_uranium')
    event.hide('immersiveengineering:dust_iron')
    event.hide('immersiveengineering:dust_gold')

    //hide the OP PICK
    event.hide("theabyss:auto_smelt_pick_axe")

    //hide createAddition shit
    event.hide('createaddition:iron_rod')
    event.hide('createaddition:spool')
    event.hide('createaddition:connector')
    event.hide('createaddition:heater')
    event.hide('createaddition:copper_spool')
    event.hide('createaddition:iron_spool')
    event.hide('createaddition:multimeter')
    event.hide('createaddition:gold_spool')
    event.hide('createaddition:copper_wire')
    event.hide('createaddition:iron_wire')
    event.hide('createaddition:gold_wire')


    //ice and Fire Copper (who even cares)
    event.hide('iceandfire:copper_block')
    event.hide('iceandfire:copper_ingot')
    event.hide('iceandfire:copper_nugget')
    event.hide('iceandfire:copper_ore')

    //planes
    event.hide('simpleplanes:propeller')
    event.hide('simpleplanes:floaty_bedding')
    event.hide('simpleplanes:booster')
    event.hide('simpleplanes:healing')
    event.hide('simpleplanes:wrench')
    event.hide('simpleplanes:wrench')
    event.hide("simpleplanes:planes_book")
    event.hide("simpleplanes:plane_workbench")

    //dont even show the storagenetwork items i removed lol
    event.hide('storagenetwork:collector_remote')
    event.hide('storagenetwork:builder_remote')
    event.hide('storagenetwork:inventory_remote')
    event.hide('storagenetwork:crafting_remote')
    event.hide('storagenetwork:picker_remote')
})